#!/bin/bash
#### "***********************************************"
#### "*       ..:: Script by MOHAMED_OS ::..        *"
#### "*  Support: https://github.com/MOHAMED19OS    *"
#### "*       E-Mail: mohamed19eng@gmail.com        *"
#### "***********************************************"

OSD="UltraCam_Oscam"
CAM_BIN="OSCam_11860-r802"
BINARY="UltraCam"
PID=$(pidof ${OSD})
Action=$1

cam_clean() {
	rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/*share* /tmp/*.pid* /tmp/*sbox* /tmp/oscam* /tmp/.oscam
}

cam_handle() {
	if test -z "${PID}"; then
		cam_up
	else
		cam_down
	fi
}

cam_down() {
	killall -9 ${CAM_BIN} 2>/dev/null
	killall -9 ${BINARY} 2>/dev/null
	sleep 2
	cam_clean
}

cam_up() {
	cam_clean
	/usr/bin/"${CAM_BIN}" --config-dir /etc/tuxbox/config --daemon --pidfile /tmp/"${CAM_BIN}".pid --restart 2 &
	/usr/bin/"${BINARY}" --config-dir /etc/tuxbox/"${BINARY,,}" --daemon --pidfile /tmp/"${BINARY}".pid --restart 2 &
}

if test "$Action" = "cam_startup"; then
	if test -z "${PID}"; then
		cam_down
		cam_up
	else
		echo "${OSD} already running, exiting..."
	fi
elif test "$Action" = "cam_res"; then
	cam_down
	cam_up
elif test "$Action" = "cam_down"; then
	cam_down
elif test "$Action" = "cam_up"; then
	cam_up
else
	cam_handle
fi

exit 0
